> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update linked connectors

> Modify the field map or change the config for a linked connector



## OpenAPI

````yaml patch /v2/{env_id}/{flow_id}/{tenant}/linkedConnectors
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /v2/{env_id}/{flow_id}/{tenant}/linkedConnectors:
    patch:
      summary: Update linked connectors
      description: Modify the field map or change the config for a linked connector
      operationId: update-linked-connectors
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - connector_id
              properties:
                connector_id:
                  type: string
                  description: Name of connector to update
                field_map:
                  type: object
                  description: JSON object representing all fields to pull
                config:
                  type: object
                  description: JSON object containing config values to update
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````